<?php
/**
 * invoicebug - A Sample Payment Module for PrestaShop 1.7
 *
 * This file is the declaration of the module.
 *
 * @author Andresa Martins <contact@andresa.dev>
 * @license http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class invoicebug extends PaymentModule
{
    private $_html = '';
    private $_postErrors = array();

    public $address;

    const HOOKS = [
        'displayBackOfficeHeader'
    ];

    /**
     * invoicebug constructor.
     *
     * Set the information about this module
     */
    public function __construct()
    {
        $this->name                   = 'invoicebug';
        $this->tab                    = 'analytics_stats';
        $this->version                = '1.0';
        $this->author                 = 'BECREA';
        $this->controllers            = array('payment', 'validation');
        $this->currencies             = true;
        $this->currencies_mode        = 'checkbox';
        $this->bootstrap              = true;
        $this->displayName            = 'Invoice modul';
        $this->description            = 'Invoice modul / bug';
        $this->ps_versions_compliancy = array('min' => '1.7.0', 'max' => _PS_VERSION_);

        parent::__construct();
    }

    /**
     * Install this module and register the following Hooks:
     *
     * @return bool
     */
    public function install()
    {
        return parent::install()
            && $this->registerHook(static::HOOKS);

    }

    /**
     * Uninstall this module and remove it from all hooks
     *
     * @return bool
     */
    public function uninstall()
    {
        return parent::uninstall();
    }

    /**
     * Returns a string containing the HTML necessary to
     * generate a configuration screen on the admin
     *
     * @return string
     */
    public function getContent()
    {
        return $this->_html;
    }




    /**
     * Hook actionAdminControllerSetMedia.
     */
   

    public function hookDisplayBackOfficeHeader(array $params)
    {
        $this->context->controller->addJS([
            $this->getPathUri() . 'views/js/back.js',
        ]);
    }


}